# 38. Kysely: hae "UserData"

Hae valtuutetun käyttäjän "UserData".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
kysely getUserData {
  getUserData {
    uuid
    sähköposti
    kokonaisala
    maksimiala
    alaYksikkö
    kieli
    apiAvain
    maanäyteLuokkienMäärä
    organisaatiot {
      uuid
      nimi
      sukunimi
      etunimi
      sähköposti
      puhelin
      luontipäivä
      updatedDate
      käyttäjät {
        organisaationUuid
        userUuid
        sähköposti
        kaikkiTilat
        luontipäivä
        updatedDate
        tilat {
          uuid
          userUuid
          nimi
          luontipäivä
          updatedDate
          farmOwnership
          sähköposti
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/38.-kysely-hae-userdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
